[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TUTF8Parser.Create

Deprecated. Constructor for the class instance.

## Declaration

Source position: lresources.pp line 385

`public constructor TUTF8Parser.Create(`
`Stream: TStream`
`);`

## Arguments

`Stream` |  | Stream with the values parser in the class.

## Description

Create is the constructor for the class instance.

Create allocates a 4K buffer used to store the values read from Stream. The buffer is examined in the methods for the class. It initializes internal members used in the parser implementation to their default values. The internal buffer is loaded with the first 4K block of values in Stream, and the NextToken method is called to position the parser on the first token in the buffered values.

## Version info

Deprecated in LCL version 3.0. Use Classes.TParser instead.